(Stellaris: Early Civilization is currently on hold, I am unsure if and when I will continue development.)

Support me on Patreon! to get a link to the game at least 24 hours early.



Stellaris: Early Civilization is a mod whose purpose is to expand the game to allow you to start your civilization at the very beginning of interstellar exploration. The game starts in the year 2050, your planet has just unified into a one world government, your goal is to explore the galaxy to find new worlds to inhabit, allies to befriend, and maybe even enemies to conquer. you will need to research the technologies required to expand your starbase, build ships for war and exploration, and construct future starbases and colonies in foreign systems.

Future Changes:

* add events

* add new technologies

* (More Changes listed later)

Post article Articles

No articles were found matching the criteria specified. We suggest you try the article list with no filter applied, to browse all available. Post article and help us achieve our mission of showcasing the best content from all developers. Join now to share your own content, we welcome creators and consumers alike and look forward to your comments.

RSS Files
stellaris early civilization 1.0

stellaris early civilization 1.0

Full Version

Full 1.0 release of Stellaris: Early Civilization + Merge with Massive Galaxies.

Stellaris: Early Civilization 0.1a

Stellaris: Early Civilization 0.1a

Demo

Testing demo. Removes techs, ships, and makes other changes to the game.

Comments
Guest
Guest

can you please update it for 2.2.4? thanks in advance :)

Reply Good karma Bad karma+1 vote
spolen88 Creator
spolen88

Right now I'm working on squashing some large bugs for the next update, the mod will still work with the current version but I've found that the AI aren't expanding their empires this is due to the tech modding I've done, and isn't a new issue, as soon as I figure this out without creating bigger problems I'll release a new version. If the outdated mod warning bothers you, just change the line supported_version="2.2.3" to whatever version you're using at the time

Reply Good karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

You may also like
Star Wars: A Galaxy Divided

Star Wars: A Galaxy Divided

Grand Strategy

Star Wars: A Galaxy Divided is a mod meant to transport players into the Star Wars universe within Stellaris. Using Legends canon, the mod is primarily...

Massive Galaxies

Massive Galaxies

4X

Expand your galaxy up to 10,000 stars, and 5,000 AI Empires. Includes a custom star name list.

Unethical slavery updated

Unethical slavery updated

Grand Strategy

This mod allows you to enact the caste system no matter which type of government did you chose

AutoPause

AutoPause

Grand Strategy

This mod introduces an auto pause in the game for various events. See ReadMe in mod file for detail

No More Sectors

No More Sectors

Grand Strategy

Increases the Core Planet cap to 900, meaning you will realistically never have to use the Sector mechanic again.

Unofficial Asimov Hotfix

Unofficial Asimov Hotfix

Grand Strategy

This is a collection of fixes for version 1.2.1 1.2.3 of Stellaris (Asimov release). As much as possible, original developer intent will be determined...